Update Player
curl --request PUT \
--url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Default Player Changes",
"language": "fr",
"font_family": "Rubik",
"custom_html_head": "<!-- Custom analytics script -->",
"custom_html_footer": "<footer>Powered by MyApp</footer>",
"playback_speeds": [
0.75,
0.5,
1,
1.5,
2
],
"is_beta_enabled": true,
"is_default": false,
"enable_resumable_position": true,
"appearance": {
"primary_color": "#1D9BF0",
"caption_font_color": "#FFFFFF",
"caption_background_color": "#000000",
"font_size": 14,
"caption_font_size": 18
},
"controls": {
"backward": false,
"forward": false,
"airplay": false,
"big_play_button": false,
"captions": true,
"chromecast": false,
"current_time": true,
"duration": true,
"fullscreen": true,
"mute": true,
"picture_in_picture": true,
"play_pause": true,
"progress": true,
"settings": true,
"volume": true
}
}
'import requests
url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}"
payload = {
"name": "Default Player Changes",
"language": "fr",
"font_family": "Rubik",
"custom_html_head": "<!-- Custom analytics script -->",
"custom_html_footer": "<footer>Powered by MyApp</footer>",
"playback_speeds": [0.75, 0.5, 1, 1.5, 2],
"is_beta_enabled": True,
"is_default": False,
"enable_resumable_position": True,
"appearance": {
"primary_color": "#1D9BF0",
"caption_font_color": "#FFFFFF",
"caption_background_color": "#000000",
"font_size": 14,
"caption_font_size": 18
},
"controls": {
"backward": False,
"forward": False,
"airplay": False,
"big_play_button": False,
"captions": True,
"chromecast": False,
"current_time": True,
"duration": True,
"fullscreen": True,
"mute": True,
"picture_in_picture": True,
"play_pause": True,
"progress": True,
"settings": True,
"volume": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Default Player Changes',
language: 'fr',
font_family: 'Rubik',
custom_html_head: '<!-- Custom analytics script -->',
custom_html_footer: '<footer>Powered by MyApp</footer>',
playback_speeds: [0.75, 0.5, 1, 1.5, 2],
is_beta_enabled: true,
is_default: false,
enable_resumable_position: true,
appearance: {
primary_color: '#1D9BF0',
caption_font_color: '#FFFFFF',
caption_background_color: '#000000',
font_size: 14,
caption_font_size: 18
},
controls: {
backward: false,
forward: false,
airplay: false,
big_play_button: false,
captions: true,
chromecast: false,
current_time: true,
duration: true,
fullscreen: true,
mute: true,
picture_in_picture: true,
play_pause: true,
progress: true,
settings: true,
volume: true
}
})
};
fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}"
payload := strings.NewReader("{\n \"name\": \"Default Player Changes\",\n \"language\": \"fr\",\n \"font_family\": \"Rubik\",\n \"custom_html_head\": \"<!-- Custom analytics script -->\",\n \"custom_html_footer\": \"<footer>Powered by MyApp</footer>\",\n \"playback_speeds\": [\n 0.75,\n 0.5,\n 1,\n 1.5,\n 2\n ],\n \"is_beta_enabled\": true,\n \"is_default\": false,\n \"enable_resumable_position\": true,\n \"appearance\": {\n \"primary_color\": \"#1D9BF0\",\n \"caption_font_color\": \"#FFFFFF\",\n \"caption_background_color\": \"#000000\",\n \"font_size\": 14,\n \"caption_font_size\": 18\n },\n \"controls\": {\n \"backward\": false,\n \"forward\": false,\n \"airplay\": false,\n \"big_play_button\": false,\n \"captions\": true,\n \"chromecast\": false,\n \"current_time\": true,\n \"duration\": true,\n \"fullscreen\": true,\n \"mute\": true,\n \"picture_in_picture\": true,\n \"play_pause\": true,\n \"progress\": true,\n \"settings\": true,\n \"volume\": true\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Default Player Changes\",\n \"language\": \"fr\",\n \"font_family\": \"Rubik\",\n \"custom_html_head\": \"<!-- Custom analytics script -->\",\n \"custom_html_footer\": \"<footer>Powered by MyApp</footer>\",\n \"playback_speeds\": [\n 0.75,\n 0.5,\n 1,\n 1.5,\n 2\n ],\n \"is_beta_enabled\": true,\n \"is_default\": false,\n \"enable_resumable_position\": true,\n \"appearance\": {\n \"primary_color\": \"#1D9BF0\",\n \"caption_font_color\": \"#FFFFFF\",\n \"caption_background_color\": \"#000000\",\n \"font_size\": 14,\n \"caption_font_size\": 18\n },\n \"controls\": {\n \"backward\": false,\n \"forward\": false,\n \"airplay\": false,\n \"big_play_button\": false,\n \"captions\": true,\n \"chromecast\": false,\n \"current_time\": true,\n \"duration\": true,\n \"fullscreen\": true,\n \"mute\": true,\n \"picture_in_picture\": true,\n \"play_pause\": true,\n \"progress\": true,\n \"settings\": true,\n \"volume\": true\n }\n}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.put("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Default Player Changes\",\n \"language\": \"fr\",\n \"font_family\": \"Rubik\",\n \"custom_html_head\": \"<!-- Custom analytics script -->\",\n \"custom_html_footer\": \"<footer>Powered by MyApp</footer>\",\n \"playback_speeds\": [\n 0.75,\n 0.5,\n 1,\n 1.5,\n 2\n ],\n \"is_beta_enabled\": true,\n \"is_default\": false,\n \"enable_resumable_position\": true,\n \"appearance\": {\n \"primary_color\": \"#1D9BF0\",\n \"caption_font_color\": \"#FFFFFF\",\n \"caption_background_color\": \"#000000\",\n \"font_size\": 14,\n \"caption_font_size\": 18\n },\n \"controls\": {\n \"backward\": false,\n \"forward\": false,\n \"airplay\": false,\n \"big_play_button\": false,\n \"captions\": true,\n \"chromecast\": false,\n \"current_time\": true,\n \"duration\": true,\n \"fullscreen\": true,\n \"mute\": true,\n \"picture_in_picture\": true,\n \"play_pause\": true,\n \"progress\": true,\n \"settings\": true,\n \"volume\": true\n }\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"Default Player Changes\",\n \"language\": \"fr\",\n \"font_family\": \"Rubik\",\n \"custom_html_head\": \"<!-- Custom analytics script -->\",\n \"custom_html_footer\": \"<footer>Powered by MyApp</footer>\",\n \"playback_speeds\": [\n 0.75,\n 0.5,\n 1,\n 1.5,\n 2\n ],\n \"is_beta_enabled\": true,\n \"is_default\": false,\n \"enable_resumable_position\": true,\n \"appearance\": {\n \"primary_color\": \"#1D9BF0\",\n \"caption_font_color\": \"#FFFFFF\",\n \"caption_background_color\": \"#000000\",\n \"font_size\": 14,\n \"caption_font_size\": 18\n },\n \"controls\": {\n \"backward\": false,\n \"forward\": false,\n \"airplay\": false,\n \"big_play_button\": false,\n \"captions\": true,\n \"chromecast\": false,\n \"current_time\": true,\n \"duration\": true,\n \"fullscreen\": true,\n \"mute\": true,\n \"picture_in_picture\": true,\n \"play_pause\": true,\n \"progress\": true,\n \"settings\": true,\n \"volume\": true\n }\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Default Player Changes',
'language' => 'fr',
'font_family' => 'Rubik',
'custom_html_head' => '<!-- Custom analytics script -->',
'custom_html_footer' => '<footer>Powered by MyApp</footer>',
'playback_speeds' => [
0.75,
0.5,
1,
1.5,
2
],
'is_beta_enabled' => true,
'is_default' => false,
'enable_resumable_position' => true,
'appearance' => [
'primary_color' => '#1D9BF0',
'caption_font_color' => '#FFFFFF',
'caption_background_color' => '#000000',
'font_size' => 14,
'caption_font_size' => 18
],
'controls' => [
'backward' => false,
'forward' => false,
'airplay' => false,
'big_play_button' => false,
'captions' => true,
'chromecast' => false,
'current_time' => true,
'duration' => true,
'fullscreen' => true,
'mute' => true,
'picture_in_picture' => true,
'play_pause' => true,
'progress' => true,
'settings' => true,
'volume' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"created_at": "2025-11-10T15:30:28.534221+06:00",
"updated_at": "2025-11-10T15:40:27.592997825+06:00",
"created_by": "9ba29736-cc5d-4e1c-85e8-f73849914ae0",
"updated_by": "9ba29736-cc5d-4e1c-85e8-f73849914ae0",
"font_family": "Rubik",
"name": "Default Player Changes",
"language": "fr",
"custom_html": "",
"playback_speeds": [
0.75,
0.5,
1,
1.5,
2
],
"appearance": {
"primary_color": "#1D9BF0",
"caption_font_color": "#FFFFFF",
"caption_background_color": "#000000",
"logo": "",
"logo_destination_url": "",
"font_size": 14,
"caption_font_size": 18
},
"controls": {
"backward": false,
"forward": false,
"cast": false,
"big_play_button": false,
"captions": true,
"chapters": false,
"current_time": true,
"duration": true,
"fullscreen": true,
"mute": true,
"picture_in_picture": true,
"play_pause": true,
"progress": true,
"settings": true,
"volume": true,
"hide_branding": false,
"preload": false,
"controls_visible": false,
"enable_download_button": false,
"loop": false
},
"organization_id": "a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04",
"id": "4dbe731e-b3b4-4e6d-b291-3339fa28cc91",
"library_id": "314221a1-3cbf-4d3c-846e-f6c22bc43064",
"is_beta_enabled": true,
"is_default": false,
"enable_resumable_position": true
},
"message": "Player Updated Successfully",
"success": true
}{
"message": "Invalid Request",
"success": false
}{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}{
"message": "Resource not found",
"success": false
}{
"message": "Invalid Request",
"errors": [
{
"field": "field_name",
"code": "validation_required",
"message": "This field is required"
}
],
"success": false
}{
"message": "Internal server error",
"success": false
}Player Themes
Update Player
Updates the configuration or metadata of a specific video player within a library. This endpoint allows partial updates, so only the fields provided in the request are modified.
PUT
/
libraries
/
{libraryId}
/
players
/
{playerId}
Update Player
curl --request PUT \
--url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Default Player Changes",
"language": "fr",
"font_family": "Rubik",
"custom_html_head": "<!-- Custom analytics script -->",
"custom_html_footer": "<footer>Powered by MyApp</footer>",
"playback_speeds": [
0.75,
0.5,
1,
1.5,
2
],
"is_beta_enabled": true,
"is_default": false,
"enable_resumable_position": true,
"appearance": {
"primary_color": "#1D9BF0",
"caption_font_color": "#FFFFFF",
"caption_background_color": "#000000",
"font_size": 14,
"caption_font_size": 18
},
"controls": {
"backward": false,
"forward": false,
"airplay": false,
"big_play_button": false,
"captions": true,
"chromecast": false,
"current_time": true,
"duration": true,
"fullscreen": true,
"mute": true,
"picture_in_picture": true,
"play_pause": true,
"progress": true,
"settings": true,
"volume": true
}
}
'import requests
url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}"
payload = {
"name": "Default Player Changes",
"language": "fr",
"font_family": "Rubik",
"custom_html_head": "<!-- Custom analytics script -->",
"custom_html_footer": "<footer>Powered by MyApp</footer>",
"playback_speeds": [0.75, 0.5, 1, 1.5, 2],
"is_beta_enabled": True,
"is_default": False,
"enable_resumable_position": True,
"appearance": {
"primary_color": "#1D9BF0",
"caption_font_color": "#FFFFFF",
"caption_background_color": "#000000",
"font_size": 14,
"caption_font_size": 18
},
"controls": {
"backward": False,
"forward": False,
"airplay": False,
"big_play_button": False,
"captions": True,
"chromecast": False,
"current_time": True,
"duration": True,
"fullscreen": True,
"mute": True,
"picture_in_picture": True,
"play_pause": True,
"progress": True,
"settings": True,
"volume": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Default Player Changes',
language: 'fr',
font_family: 'Rubik',
custom_html_head: '<!-- Custom analytics script -->',
custom_html_footer: '<footer>Powered by MyApp</footer>',
playback_speeds: [0.75, 0.5, 1, 1.5, 2],
is_beta_enabled: true,
is_default: false,
enable_resumable_position: true,
appearance: {
primary_color: '#1D9BF0',
caption_font_color: '#FFFFFF',
caption_background_color: '#000000',
font_size: 14,
caption_font_size: 18
},
controls: {
backward: false,
forward: false,
airplay: false,
big_play_button: false,
captions: true,
chromecast: false,
current_time: true,
duration: true,
fullscreen: true,
mute: true,
picture_in_picture: true,
play_pause: true,
progress: true,
settings: true,
volume: true
}
})
};
fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}"
payload := strings.NewReader("{\n \"name\": \"Default Player Changes\",\n \"language\": \"fr\",\n \"font_family\": \"Rubik\",\n \"custom_html_head\": \"<!-- Custom analytics script -->\",\n \"custom_html_footer\": \"<footer>Powered by MyApp</footer>\",\n \"playback_speeds\": [\n 0.75,\n 0.5,\n 1,\n 1.5,\n 2\n ],\n \"is_beta_enabled\": true,\n \"is_default\": false,\n \"enable_resumable_position\": true,\n \"appearance\": {\n \"primary_color\": \"#1D9BF0\",\n \"caption_font_color\": \"#FFFFFF\",\n \"caption_background_color\": \"#000000\",\n \"font_size\": 14,\n \"caption_font_size\": 18\n },\n \"controls\": {\n \"backward\": false,\n \"forward\": false,\n \"airplay\": false,\n \"big_play_button\": false,\n \"captions\": true,\n \"chromecast\": false,\n \"current_time\": true,\n \"duration\": true,\n \"fullscreen\": true,\n \"mute\": true,\n \"picture_in_picture\": true,\n \"play_pause\": true,\n \"progress\": true,\n \"settings\": true,\n \"volume\": true\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Default Player Changes\",\n \"language\": \"fr\",\n \"font_family\": \"Rubik\",\n \"custom_html_head\": \"<!-- Custom analytics script -->\",\n \"custom_html_footer\": \"<footer>Powered by MyApp</footer>\",\n \"playback_speeds\": [\n 0.75,\n 0.5,\n 1,\n 1.5,\n 2\n ],\n \"is_beta_enabled\": true,\n \"is_default\": false,\n \"enable_resumable_position\": true,\n \"appearance\": {\n \"primary_color\": \"#1D9BF0\",\n \"caption_font_color\": \"#FFFFFF\",\n \"caption_background_color\": \"#000000\",\n \"font_size\": 14,\n \"caption_font_size\": 18\n },\n \"controls\": {\n \"backward\": false,\n \"forward\": false,\n \"airplay\": false,\n \"big_play_button\": false,\n \"captions\": true,\n \"chromecast\": false,\n \"current_time\": true,\n \"duration\": true,\n \"fullscreen\": true,\n \"mute\": true,\n \"picture_in_picture\": true,\n \"play_pause\": true,\n \"progress\": true,\n \"settings\": true,\n \"volume\": true\n }\n}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.put("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Default Player Changes\",\n \"language\": \"fr\",\n \"font_family\": \"Rubik\",\n \"custom_html_head\": \"<!-- Custom analytics script -->\",\n \"custom_html_footer\": \"<footer>Powered by MyApp</footer>\",\n \"playback_speeds\": [\n 0.75,\n 0.5,\n 1,\n 1.5,\n 2\n ],\n \"is_beta_enabled\": true,\n \"is_default\": false,\n \"enable_resumable_position\": true,\n \"appearance\": {\n \"primary_color\": \"#1D9BF0\",\n \"caption_font_color\": \"#FFFFFF\",\n \"caption_background_color\": \"#000000\",\n \"font_size\": 14,\n \"caption_font_size\": 18\n },\n \"controls\": {\n \"backward\": false,\n \"forward\": false,\n \"airplay\": false,\n \"big_play_button\": false,\n \"captions\": true,\n \"chromecast\": false,\n \"current_time\": true,\n \"duration\": true,\n \"fullscreen\": true,\n \"mute\": true,\n \"picture_in_picture\": true,\n \"play_pause\": true,\n \"progress\": true,\n \"settings\": true,\n \"volume\": true\n }\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"Default Player Changes\",\n \"language\": \"fr\",\n \"font_family\": \"Rubik\",\n \"custom_html_head\": \"<!-- Custom analytics script -->\",\n \"custom_html_footer\": \"<footer>Powered by MyApp</footer>\",\n \"playback_speeds\": [\n 0.75,\n 0.5,\n 1,\n 1.5,\n 2\n ],\n \"is_beta_enabled\": true,\n \"is_default\": false,\n \"enable_resumable_position\": true,\n \"appearance\": {\n \"primary_color\": \"#1D9BF0\",\n \"caption_font_color\": \"#FFFFFF\",\n \"caption_background_color\": \"#000000\",\n \"font_size\": 14,\n \"caption_font_size\": 18\n },\n \"controls\": {\n \"backward\": false,\n \"forward\": false,\n \"airplay\": false,\n \"big_play_button\": false,\n \"captions\": true,\n \"chromecast\": false,\n \"current_time\": true,\n \"duration\": true,\n \"fullscreen\": true,\n \"mute\": true,\n \"picture_in_picture\": true,\n \"play_pause\": true,\n \"progress\": true,\n \"settings\": true,\n \"volume\": true\n }\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players/{playerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Default Player Changes',
'language' => 'fr',
'font_family' => 'Rubik',
'custom_html_head' => '<!-- Custom analytics script -->',
'custom_html_footer' => '<footer>Powered by MyApp</footer>',
'playback_speeds' => [
0.75,
0.5,
1,
1.5,
2
],
'is_beta_enabled' => true,
'is_default' => false,
'enable_resumable_position' => true,
'appearance' => [
'primary_color' => '#1D9BF0',
'caption_font_color' => '#FFFFFF',
'caption_background_color' => '#000000',
'font_size' => 14,
'caption_font_size' => 18
],
'controls' => [
'backward' => false,
'forward' => false,
'airplay' => false,
'big_play_button' => false,
'captions' => true,
'chromecast' => false,
'current_time' => true,
'duration' => true,
'fullscreen' => true,
'mute' => true,
'picture_in_picture' => true,
'play_pause' => true,
'progress' => true,
'settings' => true,
'volume' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"created_at": "2025-11-10T15:30:28.534221+06:00",
"updated_at": "2025-11-10T15:40:27.592997825+06:00",
"created_by": "9ba29736-cc5d-4e1c-85e8-f73849914ae0",
"updated_by": "9ba29736-cc5d-4e1c-85e8-f73849914ae0",
"font_family": "Rubik",
"name": "Default Player Changes",
"language": "fr",
"custom_html": "",
"playback_speeds": [
0.75,
0.5,
1,
1.5,
2
],
"appearance": {
"primary_color": "#1D9BF0",
"caption_font_color": "#FFFFFF",
"caption_background_color": "#000000",
"logo": "",
"logo_destination_url": "",
"font_size": 14,
"caption_font_size": 18
},
"controls": {
"backward": false,
"forward": false,
"cast": false,
"big_play_button": false,
"captions": true,
"chapters": false,
"current_time": true,
"duration": true,
"fullscreen": true,
"mute": true,
"picture_in_picture": true,
"play_pause": true,
"progress": true,
"settings": true,
"volume": true,
"hide_branding": false,
"preload": false,
"controls_visible": false,
"enable_download_button": false,
"loop": false
},
"organization_id": "a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04",
"id": "4dbe731e-b3b4-4e6d-b291-3339fa28cc91",
"library_id": "314221a1-3cbf-4d3c-846e-f6c22bc43064",
"is_beta_enabled": true,
"is_default": false,
"enable_resumable_position": true
},
"message": "Player Updated Successfully",
"success": true
}{
"message": "Invalid Request",
"success": false
}{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}{
"message": "Resource not found",
"success": false
}{
"message": "Invalid Request",
"errors": [
{
"field": "field_name",
"code": "validation_required",
"message": "This field is required"
}
],
"success": false
}{
"message": "Internal server error",
"success": false
}Authorizations
Path Parameters
Body
application/json